<?php
/* Mail Chimp support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'tourimo_mailchimp_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'tourimo_mailchimp_theme_setup9', 9 );
	function tourimo_mailchimp_theme_setup9() {
		if ( tourimo_exists_mailchimp() ) {
			add_action( 'wp_enqueue_scripts', 'tourimo_mailchimp_frontend_scripts', 1100 );
			add_filter( 'tourimo_filter_merge_styles', 'tourimo_mailchimp_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'tourimo_filter_tgmpa_required_plugins', 'tourimo_mailchimp_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'tourimo_mailchimp_tgmpa_required_plugins' ) ) {
	
	function tourimo_mailchimp_tgmpa_required_plugins( $list = array() ) {
		if ( tourimo_storage_isset( 'required_plugins', 'mailchimp-for-wp' ) && tourimo_storage_get_array( 'required_plugins', 'mailchimp-for-wp', 'install' ) !== false ) {
			$list[] = array(
				'name'     => tourimo_storage_get_array( 'required_plugins', 'mailchimp-for-wp', 'title' ),
				'slug'     => 'mailchimp-for-wp',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'tourimo_exists_mailchimp' ) ) {
	function tourimo_exists_mailchimp() {
		return function_exists( '__mc4wp_load_plugin' ) || defined( 'MC4WP_VERSION' );
	}
}



// Custom styles and scripts
//------------------------------------------------------------------------

// Enqueue styles for frontend
if ( ! function_exists( 'tourimo_mailchimp_frontend_scripts' ) ) {
	
	function tourimo_mailchimp_frontend_scripts() {
		if ( tourimo_is_on( tourimo_get_theme_option( 'debug_mode' ) ) ) {
			$tourimo_url = tourimo_get_file_url( 'plugins/mailchimp-for-wp/mailchimp-for-wp.css' );
			if ( '' != $tourimo_url ) {
				wp_enqueue_style( 'tourimo-mailchimp-for-wp', $tourimo_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'tourimo_mailchimp_merge_styles' ) ) {
	
	function tourimo_mailchimp_merge_styles( $list ) {
		$list[] = 'plugins/mailchimp-for-wp/mailchimp-for-wp.css';
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if ( tourimo_exists_mailchimp() ) {
	require_once tourimo_get_file_dir( 'plugins/mailchimp-for-wp/mailchimp-for-wp-style.php' );
}

